IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[privateview_2]') AND type = 'V')
DROP VIEW [dbo].[privateview_2]
GO
CREATE VIEW [dbo].[privateview_2]
AS
select cu_id objid , * from mps_employee  where cu_cmpid=1